Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.utils.random
Class DiMRGParams

    java.lang.Object
      de.jstacs.utils.random.MRGParams
          de.jstacs.utils.random.DiMRGParams

Direct Known Subclasses:
  DirichletMRGParams, FastDirichletMRGParams

    public abstract class DiMRGParams

extends MRGParams

The super container for parameters of Dirichlet multivariate random generators.

Author:
  Jens Keilwagen
See Also:
  `DirichletMRG`

Constructor Summary
`DiMRGParams()`

Method Summary
`abstract int` | `getDimension()` Returns the dimension of the hyperparameter vector of the underlying Dirichlet distribution and therefore the dimension of the generated random array.
`abstract double` | `getHyperparameter(int i)` Returns the value at position `i` of the hyperparameter vector of the underlying Dirichlet distribution.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiMRGParams

    public DiMRGParams()

Method Detail

### getDimension

    public abstract int getDimension()

  Returns the dimension of the hyperparameter vector of the underlying Dirichlet distribution and therefore the dimension of the generated random array.

  Returns:
    the dimension of the hyperparameter vector of the underlying Dirichlet distribution and therefore the dimension of the generated random array

### getHyperparameter

    public abstract double getHyperparameter(int i)

  Returns the value at position `i` of the hyperparameter vector of the underlying Dirichlet distribution.

  Parameters:
    `i` - the position of the hyperparameter vector
  Returns:
    the value at position `i` of the hyperparameter vector of the underlying Dirichlet distribution

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD